Reply

Convert Parts List to a Table (VB.NET)

[ Edited ]

Hello,

 

Is there any command that enables us to convert a parts list to a table? Here's what I have until now:

 

[code type=vbnet]

Public seApp As SolidEdgeFramework.Application

 

'A variable is assigned to the PartsList from the draft document

oPartList = seApp.ActiveDocument.PartsLists.Item(1)

 

'Send 10659 command (gotten from JasonNewell's Event Spy) which seems to convert a parts list to a table

oPartList.Application.StartCommand(10659)

[/code]

 

I added an image which shows which PartsList that needs to be converted to a table. The goal in this is to be able to access the information easier and faster. Since I was able to convert a PartsList to a table manually, it must be possible to do it programmatically?

 

Thank you,

Alex

 

Posted by: Alex
Post date: 12/11/2012 9:00:10 AM

2 REPLIES

Convert Parts List to a Table (VB.NET)

Actually, that command works! I just need to figure out how to select the part list. If I manually select it and step through the command, it will convert it.

 

As of now I am trying to select the PartsList (first post's attached image) using:

 

[code type=vbnet]

oPartList.Application.StartCommand(SolidEdgeFramework.SolidEdgeCommandConstants.seAssemblySelectCommand) 'Select the part list using 45000 command

[/code]

 

I cannot seem to select the actual part list programmatically. If I do it manually and then execute the command(10659) to convert the table; it works. The goal is to select it programmatically though ...

 

Help is appreciated!

Thanks

 

Posted by: Alex
Post date: 12/11/2012 9:17:08 AM

Convert Parts List to a Table (VB.NET)

Great to know, thanks!

 

As for my previous problem of selecting the PartsList. Here is what I've got (it works!!)

 

[code type=vbnet]

Dim selectSet As SolidEdgeFramework.SelectSet

selectSet = seApp.ActiveSelectSet

selectSet.Add(oPartList)

selectSet.Application.StartCommand(10659) 'Command that converts to table

[/code]

 

Thanks everyone for your help. Thought I'd share the answer that me and my colleague found.

 

Posted by: Alex
Post date: 12/11/2012 10:29:12 AM